Announcement Announcement Module
Collapse
No announcement yet.
Latest Roo version in not working Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Latest Roo version in not working

    Hi,

    I've downloaded the latest version of Roo plugin for creation of Flex&Spring project, then added environment variables, started Roo and received such error message. Roo don't want to execute any commands.

    Nov 11, 2010 9:45:02 AM org.springframework.roo.felix.JdkDelegatingLogList ener logNow
    SEVERE: [org.apache.felix.scr [6]] Unexpected problem executing task Activate Component: org.springframework.f
    lex.roo.addon.FlexScaffoldMetadataProvider (6)
    java.lang.IllegalArgumentException: Cannot cast service: org.springframework.roo.classpath.itd.ItdRoleAware Met
    adataProvider
    at org.apache.felix.framework.Felix.registerService(F elix.java:2748)
    at org.apache.felix.framework.BundleContextImpl.regis terService(BundleContextImpl.java:252)
    at org.apache.felix.scr.impl.manager.AbstractComponen tManager.registerService(AbstractComponentManager
    .java:408)
    at org.apache.felix.scr.impl.manager.AbstractComponen tManager.registerComponentService(AbstractCompone
    ntManager.java:419)
    at org.apache.felix.scr.impl.manager.AbstractComponen tManager$Unsatisfied.activate(AbstractComponentMa
    nager.java:1003)
    at org.apache.felix.scr.impl.manager.AbstractComponen tManager.activateInternal(AbstractComponentManage
    r.java:298)
    at org.apache.felix.scr.impl.manager.AbstractComponen tManager$3.doRun(AbstractComponentManager.java:50
    5)
    at org.apache.felix.scr.impl.ComponentActivatorTask.r un(ComponentActivatorTask.java:67)
    at org.apache.felix.scr.impl.ComponentActorThread.run (ComponentActorThread.java:96)
    at java.lang.Thread.run(Unknown Source)
    ____ ____ ____
    / __ \/ __ \/ __ \
    / /_/ / / / / / / /
    / _, _/ /_/ / /_/ /
    /_/ |_|\____/\____/ 1.1.0.RELEASE [rev 793f2b0]


    Welcome to Spring Roo. For assistance press TAB or type "hint" then hit ENTER.
    roo>


    Could you please help me to resolve this issue?
    Do you know where I can download stable Roo version for using it with Flex Addon?

    Thanks,
    Roman Protsyk

  • #2
    The current release of the Flex Addon (1.0.0.M1) is currently only compatible with Roo 1.1.0.M1. We are working now towards a 1.0.0.M2 release of the Flex Addon which will restore compatibility with the GA release of Roo 1.1.0. This should be available around mid-December. If you're really eager and willing to live on the edge, keep an eye on the Spring Flex forum (http://forum.springsource.org/forumdisplay.php?f=61) as I will make an announcement there once the nightly builds are in a clean enough state to begin general testing against Roo 1.1.0.

    Comment

    Working...
    X